//: TurboIMAGEServer.java

package com.hp.turboimage;
 
import java.rmi.*;
import java.rmi.server.*;

/** This class is the RMI server API for TurboIMAGE 
 *  databases.
 *
 * @version 2.0 (RMI enabled) January 1998
 * @author  Mike Yawn
 */
public interface TurboIMAGEServer extends Remote {

   public Database getDatabase(String dbRootFile) 
                                          throws RemoteException;

   public Dataset  getDataset(Database db, String setname)
                                          throws RemoteException;

   public Entry    getEntry(Database db, Dataset ds) 
                                          throws RemoteException;
}

